set more off
clear

		*insheet using products.tsv
		use "G:\Superbowl\StataData\products.dta"
		*gen upc2=real(upc)
		*drop upc
		*rename upc2 upc
		*data would not insheet into stata (only half upcs) so Navdeep loaded in SAS and coverted
		
		preserve
		keep if strpos(datasets,"HMS_ONLY")
		sort upc
		save "C:\Google Drive\SuperBowlShare\StataData\hms_only_upcs", replace
		restore
		drop if strpos(datasets,"HMS_ONLY")
		bysort upc: gen obnum=_n
		egen maxob=max(obnum),by(upc)
		preserve
		keep if maxob>1 & obnum==1
		sort upc
		save "C:\Google Drive\SuperBowlShare\StataData\duplicate_upcs", replace
		restore
		drop if maxob>1
		keep upc brand_descr brand_code_uc size1_units size1_amount multi product_group_desc product_group_code
		sort upc
		save "C:\Google Drive\SuperBowlShare\StataData\upcinfo", replace

clear

	xmluse "E:\kiltsdata\Data_for_Hartmann\2012 DMA to FIPS table.xml", doctype(excel) sheet("2012") firstrow allstring missing clear
	gen DMA=real(var1)
	gen fips=real(FIPS)
	keep fips DMA
	
	replace fips=12025 if fips==12086
	
	sort fips
	save "C:\Google Drive\SuperBowlShare\StataData\FIPStoDMA", replace
	
	clear
	insheet using "E:\kiltsdata\Data_for_Hartmann\dmas.txt"
	gen double DMA=dma
	keep DMA
	sort DMA
	save "C:\Google Drive\SuperBowlShare\StataData\dmas", replace
clear
	*infile store_id_uc year parent_id retailer_id channel_code store_zip3 str2 (fips_state_code) fips_state_descr str3 (fips_county_code) fips_county_descr using stores.tsv
	insheet using "E:\kiltsdata\Data_for_Hartmann\stores.tsv"
	*gen str5 FIPS= fips_state_code + fips_county_code
	gen fips=fips_state_code*1000+fips_county_code
	keep store_id_uc year fips
	sort fips 
	merge fips using "C:\Google Drive\SuperBowlShare\StataData\FIPStoDMA"
	tab _merge
	drop if _merge==2
	drop _merge
	sort DMA
	*merge DMA using "G:\Superbowl\StataData\dmas"
	*tab _merge
	 *keep if _merge==3
	*drop _merge
	keep store_id_uc year DMA
	sort store_id_uc year DMA
	save "C:\Google Drive\SuperBowlShare\StataData\stores", replace





local catnums = "1484 1553 5000 5010"
forvalues year = 2006(1)2011 {
foreach cat of local catnums {
		if "`year'"=="2006" {
			local fname = "E:\kiltsdata\Data_for_Hartmann\Movement\"+"`year'"+"\"+"`cat'.tsv"
		}
		else {
			local fname = "E:\kiltsdata\"+"`year'"+"\"+"`cat'.tsv"
		}
		clear
		*infile store_id_uc str20 (upc week_end) units prmult price str1 (feature display) using 1324.tsv
		infile store_id_uc str20 (upc week_end) units prmult price str1 (feature display) using `fname'
		drop if _n==1
		*insheet using `fname'
		gen endweekdate=date(week_end,"YMD")
		drop week_end
		sort upc
		merge m:1 upc using "C:\Google Drive\SuperBowlShare\StataData\upcinfo" 
		tab _merge
		drop if _merge==2
		*preserve
		*	keep if _merge==1
		*	sort upc
		*	des
		*	local temp=r(N)
		*		if "`temp'"~="0" {
		*			save "G:\Superbowl\StataData\umatchedupcs_`cat'_`year' ", replace
		*		}
		*restore
		drop if _merge==1
		drop _merge
		gen year = year(endweekdate)
		sort store_id_uc year
		merge m:1 store_id_uc year using "C:\Google Drive\SuperBowlShare\StataData\stores" 
		tab _merge
		drop if _merge==2
		*preserve
		*	keep if _merge==1
		*	des
		*	local temp=r(N)
		*	if "`temp'"~="0" {
		*		*save "G:\Superbowl\StataData\nostore_`cat'_`year' ", replace
		*	}
		*restore
		drop if _merge==1
		
		
		gen featured=1*(feature=="Y")
		gen displayed=1*(display=="Y")
		gen volume  =size1_amount*multi*units
		gen revenue =(price/prmult)*units
		gen totalfeature = volume*featured
		gen totaldisplay = volume*displayed
		
		
		collapse (sum) volume revenue totalfeature totaldisplay    , by(product_group_code product_group_desc brand_code_uc brand_descr size1_units endweekdate DMA)
		
		gen feature=totalfeature / volume
		gen display=totaldisplay / volume
		drop totalfeature totaldisplay
		save "C:\Google Drive\SuperBowlShare\StataData\data_`cat'_`year' ", replace
}
}





