***********************
* File brings in soda ad data and groups it into our 4 primary brands or other,
* then formats for merging into the sales data
***********************		
***********************
* Advertising data is pulled from AdViews separately for current and historical calendar ... these two files need to be appended
***********************
	clear
	insheet using "C:\Google Drive\Superbowl\StataData\AllSoda.txt", tab names
	save temp, replace
	clear
	insheet using "C:\Google Drive\Superbowl\StataData\AllSodaHist.txt", tab names
	append using temp
	save temp, replace
	rm temp.dta
	
***********************
* Categorize all ads by the relevant 4+ brands
***********************
	gen topbrand=""
	replace topbrand = "COCA-COLA" if substr(brand,1,4)=="COCA" | substr(brand,1,4)=="COKE"
	replace topbrand = "PEPSI"     if substr(brand,1,5)=="PEPSI"
	
	replace topbrand = "DR PEPPER" if substr(brand,1,3)=="DR "
	replace topbrand = "MTN DEW"   if substr(brand,1,5)=="MOUNT"
	
	replace topbrand="OTHER" if topbrand==""
	 
***********************
* Format data to year by superweek time definition for year over year comparison for each week following super bowl
***********************
	gen year=real(substr(report,-2,2))+2000
	gen emonth=real(substr(report,-8,2))
	gen eday=real(substr(report,-5,2))
	gen endweekdate=mdy(emonth,eday,year)
	
	gen superweek=10000
	replace superweek=endweekdate+1-mdy(2,5,2012)
	replace superweek=endweekdate+1-mdy(2,6,2011) if year(endweekdate)==2011
	replace superweek=endweekdate+1-mdy(2,7,2010) if year(endweekdate)==2010
	replace superweek=endweekdate+1-mdy(2,1,2009) if year(endweekdate)==2009
	replace superweek=endweekdate+1-mdy(2,3,2008) if year(endweekdate)==2008
	replace superweek=endweekdate+1-mdy(2,4,2007) if year(endweekdate)==2007
	replace superweek=endweekdate+1-mdy(2,5,2006) if year(endweekdate)==2006
	replace superweek=floor(superweek/7)

	rename grptv PostGRPs 
	rename imp000 PostIMPs
	rename unit PostUnits


collapse (sum) PostGRPs PostIMPs (max) PostUnits , by(topbrand market year superweek)



sort market
***********************
* DMA matching needs to occur again so we need to read that in, sort and save it
***********************
	
	*preserve
	*	clear
	*	insheet using "C:\Dropbox\SuperbowlAds\Data\Ratings\DMAidMarket.txt", names
	*	drop v3-v8
	*	sort market
	*	save "C:\Google Drive\SuperbowlShare\StataData\DMAidMarket", replace
	*restore


***********************
* Merge in DMA code
***********************
	merge market using "C:\Google Drive\SuperbowlShare\StataData\DMAidMarket"
	keep if _merge==3
	drop _merge

sort topbrand dma year superweek
save "C:\Google Drive\SuperbowlShare\StataData\WeeklyGRPsSoda", replace
***********************
* We now have a data set of weekly advertising by soda brands as we define them (4 majors plus other)
***********************


append using "C:\Google Drive\SuperbowlShare\StataData\WeeklyGRPsBeer"
sort topbrand dma year superweek
save "C:\Google Drive\SuperbowlShare\StataData\WeeklyGRPsBoth", replace

***********************
* We now have a data set of weekly advertising by beer and soda brands 
* This will be merged in within TopBrandManyDMAs.do
***********************


